Name:           min-cloud-agent
Version:        2014.3.13.g2759837
Release:        6%{?dist}
Summary:        Minimal client implementation of EC2/OpenStack metadata API
Group:          System Environment/Base
License:        LGPLv2+
URL:            https://github.com/cgwalters/min-cloud-agent
#VCS:		https://github.com/cgwalters/min-cloud-agent
# This tarball is generated via "make -f Makefile.dist-packaging dist-snapshot"
Source0:        %{name}-%{version}.tar.xz
BuildRequires: autoconf automake libtool
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(libgsystem)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(systemd)
Requires:      systemd
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

Obsoletes: min-metadata-service <= 2014.3

%description
Client implementation of a small subset of the metadata and userdata API.
At present, only simple SSH key provisioning and userdata scripts
are implemented.

%prep
%setup -q

%build
env NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags}

%install
make install INSTALL='install -p' DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post
%systemd_post min-cloud-agent.service

%preun
%systemd_preun min-cloud-agent.service

%files
%doc COPYING
%{_libexecdir}/min-cloud-agent
%{_prefix}/lib/systemd/system/min-cloud-agent.service
%{_localstatedir}/lib/min-cloud-agent

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2014.3.13.g2759837-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2014.3.13.g2759837-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.3.13.g2759837-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.3.13.g2759837-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2014.3.13.g2759837-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 06 2014 Colin Walters <walters@verbum.org> - 2014.3.12.ge0b8fae
- Initial packaging forked from old min-metadata-service

